Glib::ValueBase_String Class Reference
Generic Values

`#include <glibmm/value.h>`

Inheritance diagram for Glib::ValueBase_String:
[legend]

## Public Types

using | CType = const gchar*

## Static Public Member Functions

static GType | value_type ()

## Protected Member Functions

void | set_cstring (const char* data)
const char* | get_cstring () const

## Additional Inherited Members

Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Typedef Documentation

using Glib::ValueBase_String::CType = const gchar*

## Member Function Documentation

const char* Glib::ValueBase_String::get_cstring | ( |  | ) | const

protected

void Glib::ValueBase_String::set_cstring | ( | const char * | data | ) |

protected

static GType Glib::ValueBase_String::value_type | ( |  | ) |

static